//
// Added 10/6/2015 1:43:06 PM
//
// Use 'ImageTouched' to detect 'current' object compare to values such as iWinbutton0
// to determine the object for which a touch move has just been detected.
//

if (ImageTouched == iUserbutton0)
    ImageTouched := -1 ;            // set to not touched to stop normal handler from operating
    // TouchXpos - CentreX, TouchYpos - centreY
    degrees := XYposToDegree(TouchXpos-160, TouchYpos-120);
    if (degrees >= 360)
        degrees := 359 ;
    else if (degrees < 0)
        degrees := 0;
    endif

    showFlag := 0;
    if(degrees >= 150 && degrees <= 359)
        posit := degrees - 150;
        showFlag := 1;
    else if(degrees <= 90)
        posit := degrees + 210;
        showFlag := 1;
    else
        showFlag := 0;
    endif

    if(showFlag)
        img_SetWord(hndl, iUserbutton0, IMAGE_INDEX, posit);    // Set image to released state
        img_Show(hndl, iUserbutton0) ;
        gfx_MoveTo(0,0);
        print("Frame index: ");
        print([DEC3Z]posit, " DEC, ");
        print([HEX3Z]posit, " HEX   ");
    endif

endif

